% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.

%%TIFF based
%path='K:\Capture\Bob\20140814\647_003_TIFF';
%myfilelist=LM_filelist(path);
%mystack=LM_TIFFStack(myfilelist);

%%or

%%RAW Based
%rawpath='/data/mbb/20141028/cali_YFP_002.raw';
%metapath='/data/mbb/20141028/cali_YFP_002_meta.tsv';

filter=fullfile(pwd,'*.raw;*.nd2');

[file,path]=uigetfile(filter);

filepath=fullfile(path,file);

if strfind(file,'raw')>0
    [~,corefile,~]=fileparts(filepath);
    metafile=strcat(corefile,'_meta.tsv');
    metafilepath=fullfile(path,metafile);
    mystack=LM_RAWstack(filepath,metafilepath);
else
    mystack=LM_ND2stack(filepath);
end 

clearvars filter corefile metafile file path

myreconset=LM_dlgreconset();

mymask=LM_mask(mystack,20);


%myreconset=LM_MakeReconset;
%myfilterset=LM_MakeFilterset;

%loc=LM_reconstruct(mystack,myreconset);
%etc...