function [ image, centres_x, centres_y ] = LM_Rasta( fits, px_size_in, px_size_out, pad, flatten, centres_x, centres_y )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.

    x_min=min(fits(:,2))*px_size_in;
    x_max=max(fits(:,2))*px_size_in;
    y_min=min(fits(:,4))*px_size_in;
    y_max=max(fits(:,4))*px_size_in;

    if nargin<6
        centres_x=[x_min-pad:px_size_out:x_max+pad];
        centres_y=[y_min-pad:px_size_out:y_max+pad];
    end
    
    image=hist3([fits(:,2)*px_size_in fits(:,4)*px_size_in], {centres_x centres_y});
    
    if flatten==1
        image=image>0;
    end
    
    image=rot90(image);
    
end

