function [ zlut ] = LM_ZLUT_auto( fits )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.

    minclustsize=50;

    fits_ref=LM_emitters(fits,1,1,1000,1000);
    
    nclusters=max(fits_ref(:,10));
    
    lookups=[];
    allactive=[];
    
    for i=1:nclusters
       activecluster=fits_ref(fits_ref(:,10)==i,:);
       if size(activecluster,1)>minclustsize
           lookups{i}=num2cell(LM_ZLUT(activecluster));
           allactive=[allactive; activecluster];
       end
    end
    lookups(cellfun(@isempty,lookups))=[];
    
    zlut=LM_ZLUT(allactive);
    
    
    
    subplot(1,2,1)
    hold on 
    nlookups=size(lookups,2);       
    for i=1:nlookups
        activelookup=cell2mat(lookups{i});
        scatter(activelookup(:,1),activelookup(:,2));
    end
    scatter(zlut(:,1),zlut(:,2),'d','filled','k');
    title('Calibration lookups based on polynomial fit, coloured by fidicual ID. Black diamonds are field average used as output.')
    xlabel('Circle of Confusion (CoC) Ratio');
    ylabel('Normalised z position (nm)');
    hold off
    subplot(1,2,2)
    %check calibration
    allactive=LM_lookupZ(allactive,zlut);
    scatter(allactive(:,8),allactive(:,9),30,allactive(:,10))
    title('z positions determined using calibration (loopkup), coloured by fidicual ID')
    xlabel('Measured piezo position (nm)');
    ylabel('Normalised z position (nm)');
    
    
end

