function LM_checkframe( framenumber, fits, path )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.

    fits=fits(fits(:,7)==framenumber,:);
    
    if numel(fits)==0
        nfits=0
    else
        nfits=size(fits,1)
    end
    
    filename=sprintf('STORM%08d.tiff', framenumber);
    filepath=strcat(path, LM_osslash, filename);
    
    rawimage = double(importdata(char(filepath)));
       
    hold on
    imagesc(rawimage,[2000 5000]);
    set(gca,'DataAspectRatio',[1 1 1]);
    set(gca,'YDir','reverse')
    title(filepath,'FontWeight','bold');
    colormap('Gray');
    scatter(fits(:,2),fits(:,4));
    hold off

end

