function [ fits ] = LM_correctdrift( fits, offsets )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.


    %sometimes there is no ficudial in the first or last few frames
    %so we must find where this information begins and ends
    %{    
    startrows=find(fits(:,7)==offsets(1,7));
    startrow=startrows(1)
    stoprows=find(fits(:,7)==offsets(size(offsets,1),7));    
    stoprow=stoprows(size(stoprows,1))
    %}
    
    %there are going to be, in some cases, fits which do not have an offset
    %recorded so we can only correct a subset of data
    common=intersect(fits(:,7),offsets(:,7));
    startrow=find(fits(:,7)==min(common), 1 );
    stoprow=find(fits(:,7)==max(common), 1, 'last' );
    
    %and we should not return non-corrected data
    fits=fits(startrow:stoprow,:);
    
    for i=1:stoprow-startrow     
        fits(i,2)=fits(i,2)-offsets(round(offsets(:,7))==fits(i,7),2);
        fits(i,4)=fits(i,4)-offsets(round(offsets(:,7))==fits(i,7),4);
        fits(i,9)=fits(i,9)-offsets(round(offsets(:,7))==fits(i,7),9); %correct Z
        %drift
    end
            
end

