function [ emitters ] = LM_emitters( events, dx, dy, dz, dframe )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.

runtime=0;
    
figure_wait=waitbar(0,'Initialising...','name','LM Reconstruction','CreateCancelBtn',...
        'setappdata(gcbf,''canceling'',1)');
movegui(figure_wait,'northwest');

emitters=[];

events(:,10)=0;

j=1;

n=size(events,1);

for i=1:n   
    tic;
    %x<x1+dx
    %x>x1-dx
    %y<y1+dy
    %y>y1-dy
    %frame<frame1+dframe
    %frame>frame1
    %emitter not set
    if(events(i,10)==0)
       events(i,10)=j;       
       j=j+1;
    end
    
    linkedrows= events(:,2)<events(i,2)+dx & events(:,2)>events(i,2)-dx & ...
        events(:,4)<events(i,4)+dy & events(:,4)>events(i,4)-dy & ...
        events(:,9)<events(i,9)+dz & events(:,9)>events(i,9)-dz & ...
        events(:,7)>events(i,7) & events(:,7)<=events(i,7)+dframe & ...
        events(:,10)<1;
       
    events(linkedrows,10)=events(i,10);
    
    %{
    if(size(linkedrows,1)>1)
        j
        i
        linkedrows
    end
    %}  
    
    runtime=runtime+toc;
    meanframetime=runtime/i;
    remaintime=((n-i)*meanframetime)/60;
    waitbar(i/n,figure_wait,strcat('Mean time per localisation (s): ',num2str(meanframetime,5),' Time left (mins):', num2str(remaintime,5)));

    % Check for Cancel button press
    if getappdata(figure_wait,'canceling')
        break
    end
end

emitters=events;

%get rid of visualisations    
delete(figure_wait); %waitbar

end

