function LM_exportstack(fits, nslices, stack_min, slice_thickness, size_out)
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.
[filename, pathname]=uiputfile('*.tif*');

filepath=fullfile(pathname,filename);
%super res z stack

for i=0:nslices-1
    
    slice_min=stack_min+(i*slice_thickness)
    slice_max=stack_min+((i+1)*slice_thickness)
    
    slice=fits(fits(:,9)>slice_min & fits(:,9)<=slice_max,:);
    
    [ras_sum,ras_peak]=LM_raster(slice,10,size_out,size_out);
    ras_sum_16=uint16(ras_sum);
    ras_peak_16=uint16(ras_peak);
    %imwrite(ras_peak_16,strcat('slice_',char(i+'a'),'.tiff'),'tiff');
    imwrite(ras_sum_16,filepath,'tiff', 'writemode', 'append');

end

%{
%diffraction limited z stack

nslices=max(fits(:,11));

for i=0:nslices
    
    slice=fits(fits(:,11)==i,:);
    
    [ras_sum,ras_peak]=LM_raster(slice,10,size_out,size_out);
    ras_sum_16=uint16(ras_sum);
    ras_peak_16=uint16(ras_peak);
    %imwrite(ras_peak_16,strcat('slice_',char(i+'a'),'.tiff'),'tiff');
    imwrite(ras_peak_16,strcat(filename, '_diff.tiff'),'tiff', 'writemode', 'append');

end

%}

end