function [ filtered ] = LM_filter( events, filterset )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.

    filtered=events;
    
    %location
    
    filtered=filtered(filtered(:,4)>filterset.ymin,:);
    filtered=filtered(filtered(:,4)<filterset.ymax,:);
    filtered=filtered(filtered(:,2)>filterset.xmin,:);
    filtered=filtered(filtered(:,2)<filterset.xmax,:);
    
    
    %intensity
    filtered=filtered(filtered(:,1)>filterset.intensitymin,:);
    filtered=filtered(filtered(:,1)<filterset.intensitymax,:);

    %asymmetry
    
    %filtered=filtered(filtered(:,3)>1,:);
    %filtered=filtered(filtered(:,3)<1,:);
    %filtered=filtered(filtered(:,5)>1,:);
    %filtered=filtered(filtered(:,5)<1,:);
    
    
    filtered=filtered(filtered(:,5)+filtered(:,3)<filterset.widthheightsummax,:); %5.6
    filtered=filtered(filtered(:,5)+filtered(:,3)>filterset.widthheightsummin,:); %4.5
    
    
    filtered=filtered(filtered(:,5)./filtered(:,3)<filterset.asymmetrymax,:);
    filtered=filtered(filtered(:,5)./filtered(:,3)>filterset.asymmetrymin,:);
     
    %{   
    %z filtering
    
    filtered=filtered(filtered(:,12)<1500,:);
    filtered=filtered(filtered(:,12)>-1500,:);
    
    
    filtered=filtered(filtered(:,9)<200,:);
    filtered=filtered(filtered(:,9)>-200,:);
    %}
    
    %normailzed residual filtersing
    filtered=filtered(filtered(:,13)>filterset.normresmin,:);
    filtered=filtered(filtered(:,13)<filterset.normresmax,:);
    
end

