function [ rawcut ] = LM_getraw( fit, separation, path )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.

    filename=sprintf('STORM%08d.tiff', fit(7));
    filepath=strcat(path, LM_osslash, filename)

    ymin=round(fit(2)-separation);
    ymax=round(fit(2)+separation);
    xmin=round(fit(4)-separation);
    xmax=round(fit(4)+separation);
    
    rawimage = double(importdata(char(filepath)));
    
    %subtract background
    
    se = strel('disk',12);
    rawimage = imtophat(rawimage,se);
    
    %{
    LOG = fspecial('log',[10 10],4);
    rawimage = -1*imfilter(rawimage,LOG,'replicate');
    %}
    
    rawcut = rawimage(xmin:xmax,ymin:ymax);
    
    %image(rawcut,'CDataMapping','scaled');
    %colormap('Gray');
    
end

