function [ fits ] = LM_lookupZ( fits, zlut )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.

    nfits=size(fits,1);
           
    for i=1:nfits
        RAT=fits(i,5)./fits(i,3);
        [~,I] = min(abs(zlut(:,1)-RAT));
        fits(i,9)=zlut(I,2);
    end
    
    zmin=min(zlut(:,2));
    zmax=max(zlut(:,2));
   
    nfits=size(fits,1);
    
    fits=fits(fits(:,9)>zmin & fits(:,9)<zmax,:);
    
    nrejected=nfits-size(fits,1);
    
    if nrejected>0
        disp(strcat(int2str(nrejected),' fits rejected as being ouside the calibrated Z range.'))
    end

end

