function [ emitter_mean, emitter_sd, emitter_n ] = LM_resolution( fits )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.

    emitter_mean=[];
    emitter_sd=[];
    emitter_n=[];
    
    %count number of events per emitter
    tab=tabulate(fits(:,10));
    %sort descending    
    tab=flipdim(sortrows(tab,2),1);
    for i=1:size(tab,1)
        %get number of emitter
        emitter=tab(i,1);
        %return events associated with that emitter
        events=fits(fits(:,10)==emitter,:);
        if (size(events,1)>4) %there must be more than on event/emitter to do stats.
            emitter_mean=[emitter_mean; mean(events)];
            emitter_sd=[emitter_sd; std(events)];
            emitter_n=[emitter_n; size(events,1)];
        end
    end

end

