function V=LM_volume( fits, columns, XYpixelsize, voxelsize)
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.

    X=fits(:,columns(1))*XYpixelsize;
    Y=fits(:,columns(2))*XYpixelsize;
    Z=fits(:,columns(3));
    
    X=X-mean(X);
    Y=Y-mean(Y);
    Z=Z-mean(Z);

    xmin=min(X);
    xmax=max(X);
    ymin=min(Y);
    ymax=max(Y);
    zmin=min(Z);
    zmax=max(Z);
    
    padding=voxelsize*10;
    
    edges{1}=xmin-padding:voxelsize:xmax+padding;
    edges{2}=ymin-padding:voxelsize:ymax+padding;
    zi=zmin-padding:voxelsize:zmax+padding;
    
    nx=size(edges{1},2);
    ny=size(edges{2},2);
    nz=size(zi,2);
    
    V=zeros(nx,ny,nz);
    
    for i=1:nz-1
        zslicebottom=zi(i);
        zslicetop=zi(i+1);
        slX=X(Z>=zslicebottom & Z<zslicetop);
        slY=Y(Z>=zslicebottom & Z<zslicetop);
        V(:,:,i)=hist3([slX slY],'Edges',edges);
    end
    

end

